%define api_ver 2.0
%define binary_ver 2.10.0
%define ver_major 2.16

# The name used by upstream.
%define _name gtk+
%define bname libgtk+2

# with_x means building with X11, without_x means building with directfb
%def_with x

%def_disable static
%if_with x
%def_enable xkb
%endif
%def_disable gtk_doc
%def_enable man

%if_with x
%define package_name libgtk+2
%else
%define package_name libgtk+2-directfb
%endif

Name: %package_name
Version: %ver_major.1
Release: alt1

%if_with x
Summary: The GIMP ToolKit (GTK+) - X11 part
%else
Summary: The GIMP ToolKit (GTK+) - DirectFB part
%endif
License: %lgpl2plus
Group: System/Libraries
Url: http://www.gtk.org
Icon: gtk+-logo.xpm
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

%if_without x
Provides: %bname = %version-%release
%endif
Provides: libgtk2 = %version-%release
Obsoletes: gtk2 < 2.10, gtk+-gtkbeta < 2.10, gtk+2 < 2.10
Provides: gtk2 = %version-%release, gtk+2 = %version-%release
Obsoletes: gtk-engines-pixmap < 2.5.6
Provides: gtk-engines-pixmap = %version-%release

Source: %gnome_ftp/%_name/%ver_major/%_name-%version.tar.bz2

# These should be prepared for each major version.
Source1: %bname-%ver_major-gdk.map
Source2: %bname-%ver_major-gdk_pixbuf.map
Source3: %bname-%ver_major-gtk.map

Source4: gtk-update-icon-cache.filetrigger

Patch6: %bname-2.10.6-fix-drop-gdk_colormap_change.patch
Patch8: %bname-2.12.0-fix-flash-inside-nongtk.patch

# http://bugzilla.redhat.com/show_bug.cgi?id=478400
Patch10: default_printer.patch

%define glib_ver 2.17.6
%define cairo_ver 1.6
%define pango_ver 1.20
%define atk_ver 1.13.0
%define directfb_ver 0.9.24
%define fontconfig_ver 2.2.1-alt2
%define gtk_doc_ver 1.6
%define shared_mime_info_ver 0.30

# We need to prereq these so we can run gtk-query-immodules-%api_ver in post
PreReq: glib2 >= %glib_ver
PreReq: libpango >= %pango_ver
PreReq: libatk >= %atk_ver
PreReq: %bname-common = %version-%release

BuildPreReq: rpm-build-licenses rpm-build-gnome

BuildPreReq: glib2-devel >= %glib_ver libgio-devel
BuildPreReq: libcairo-devel >= %cairo_ver
BuildPreReq: libpango-devel >= %pango_ver
BuildPreReq: libatk-devel >= %atk_ver
BuildPreReq: fontconfig-devel >= %fontconfig_ver
BuildPreReq: gtk-doc >= %gtk_doc_ver

BuildRequires: libgnutls-devel

# Automatically added by buildreq on Sat Oct 06 2007
BuildRequires: docbook-utils gcc-c++ indent libcups-devel libjpeg-devel libssl-devel libtiff-devel libjasper-devel

%if_with x
# X.org 7.0 packages
BuildRequires: libXdamage-devel libXcomposite-devel libX11-devel libXcursor-devel libXext-devel libXfixes-devel libXi-devel libXinerama-devel libXrandr-devel libXrender-devel libXt-devel xorg-x11-proto-devel
%else
BuildRequires: libdirectfb-devel
%endif

%description
GTK+ is a multi-platform toolkit for creating graphical user interfaces.
Offering a complete set of widgets, GTK+ is suitable for projects
ranging from small one-off projects to complete application suites.

%if_with x
This package contains X11 part of GTK+. It is required for GNOME 2 desktop
and programs.
%else
This package contains DirectFB part of GTK+. Usually you do not need it,
unless you are dealing with embedded platforms or non-X11 installations.
%endif

%if_with x
%package -n %bname-common
Summary: The GIMP ToolKit (GTK+) - common part
Group: System/Libraries

Requires: common-licenses
Requires: shared-mime-info >= %shared_mime_info_ver
Requires: icon-theme-hicolor

%description -n %bname-common
GTK+ is a multi-platform toolkit for creating graphical user interfaces.
Offering a complete set of widgets, GTK+ is suitable for projects
ranging from small one-off projects to complete application suites.

This package contains the part of GTK+ that is common for X11 and DirectFB
versions. For actual use of GTK+, you need to install either of %bname-x11
and %bname-directfb packages.

%package -n %bname-common-devel
Summary: Development files and tools for GTK+ applications - common part
Group: Development/GNOME and GTK+
Requires: %bname-common = %version-%release

%description -n %bname-common-devel
This package contains development files common to X11 and DirectFB versions
of GTK+. You'll need to install either %bname-x11-devel or
%bname-directfb-devel package to develop programs with GTK+.
%endif

%package devel
Summary: Development files and tools for GTK+ applications - common part
Group: Development/GNOME and GTK+
Icon: gtk+-devel-logo.xpm
%if_with x
Obsoletes: gtk2-devel < 2.10, gtk+-gtkbeta-devel, gtk+2-devel < 2.10, libgtk+2-devel-static < 2.10
Provides: gtk2-devel = %version-%release, gtk+2-devel = %version-%release, libgtk+2-devel-static = %version-%release
Provides: libgtk2-devel = %version-%release
%else
Conflicts: %bname-devel
%endif
Requires: %package_name = %version-%release
Requires: %bname-common-devel = %version-%release

%description devel
%if_with x
This package contains development files for GTK+, X11 version. Use this to
build programs that use GTK+.
%else
This package contains development files for GTK+, DirectFB version. You
do not usually need this package, unless you are trying to build some
program especially for usage with DirectFB. The work on DirectFB backend is
in progress, and its API/ABI are far from stable.
%endif

%if_with x
%package -n gtk-demo
Summary: GTK+ widgets demonstration program
Group: Development/GNOME and GTK+

%description -n gtk-demo
GTK+ is a multi-platform toolkit for creating graphical user interfaces.
This package contains a program, along with its source code, that
demonstrates GTK+ variety of all its widgets.

%package -n %bname-devel-doc
Summary: Development documentation for GTK+
Group: Development/GNOME and GTK+
Conflicts: %name < %version, %name > %version
BuildArch: noarch

%description -n %bname-devel-doc
GTK+ is a multi-platform toolkit for creating graphical user interfaces.
This package contains documentation needed for developing GTK+ applications.

%package -n %bname-devel-doc-examples
Summary: Examples for developing applications which will use GTK+
Group: Development/GNOME and GTK+
Conflicts: %bname < %version-%release
BuildArch: noarch

%description -n %bname-devel-doc-examples
GTK+ is a multi-platform toolkit for creating graphical user interfaces.
This package contains sources for example programs.

%if_enabled static
%package -n %bname-devel-static
Summary: Static libraries for GTK+ (GIMP ToolKit) applications
Group: Development/GNOME and GTK+
Requires: %bname = %version-%release
Obsoletes: gtk2-devel-static, gtk+-gtkbeta-devel, gtk+2-devel-static
Provides: gtk2-devel-static = %version, gtk+2-devel-static = %version

%description -n %bname-devel-static
GTK+ is a multi-platform toolkit for creating graphical user interfaces.
This package contains the static libraries for GTK+.
%endif
%endif

%package -n libgail
Summary: Accessibility implementation for GTK+ and GNOME libraries
Group: System/Libraries
Requires: %package_name = %version-%release
Obsoletes: libgail < 1.22.4
Provides: libgail = %version-%release

%description -n libgail
GAIL implements the abstract interfaces found in ATK for GTK+ and GNOME libraries,
enabling accessibility technologies such as at-spi to access those GUIs.

%package -n libgail-devel
Summary: Files to compile applications that use GAIL
Group: Development/GNOME and GTK+
Requires: libgail = %version-%release
Requires: %package_name-devel = %version-%release
Obsoletes: libgail-devel < 1.22.4
Provides: libgail-devel = %version-%release

%description -n libgail-devel
This package contains the files required to develop applications against
the GAIL libraries.

%package -n libgail-devel-static
Summary: Static libraries of GAIL
Group: Development/GNOME and GTK+
Requires: libgail-devel = %version-%release
Obsoletes: libgail-devel-static < 1.22.4
Provides: libgail-devel-static = %version-%release

%description -n libgail-devel-static
This package contains the libraries required to compile applications
statically linked against the GAIL libraries.

%package -n libgail-devel-doc
Summary: Development documentation for GAIL
Group: Development/GNOME and GTK+
Conflicts: libgail < %version-%release
BuildArch: noarch

%description -n libgail-devel-doc
GAIL implements the abstract interfaces found in ATK for GTK+ and GNOME
libraries, enabling accessibility technologies such as at-spi to access
those GUIs.

This package contains development documentation for GAIL.


%define fulllibpath %_libdir/gtk-%api_ver/%binary_ver/

%prep
%setup -q -n %_name-%version
install -p -m644 %SOURCE1 gdk/symver.map
install -p -m644 %SOURCE2 gdk-pixbuf/symver.map
install -p -m644 %SOURCE3 gtk/symver.map

%patch6 -p0
%patch8 -p1
%patch10 -p0 -b .default-printer

%build
%autoreconf
%{?_disable_static:export lt_cv_prog_cc_static_works=no}
%{?_enable_static:export lt_cv_prog_cc_static_works=yes}

export CFLAGS="$CFLAGS $(freetype-config --cflags)"
export LDLIBS="$LDLIBS $(freetype-config --libs)"

%configure \
    %{subst_enable xkb} \
    %{subst_enable man} \
    %{subst_enable static} \
    %{?_with_x:--with-gdktarget=x11} \
    %{?_without_x:--with-gdktarget=directfb} \
    %{subst_with x} \
    %{?_with_x:--with-xinput=yes} \
    %{?_enable_gtk_doc:--enable-gtk-doc}

# SMP-incompatible build
%make LIBTOOL_EXPORT_OPTIONS=-Wl,--version-script=symver.map

%install
%make_install DESTDIR=%buildroot install
install -d %buildroot{%_sysconfdir/gtk-%api_ver,%_libdir/gtk-%api_ver/%binary_ver/engines}

touch %buildroot%_sysconfdir/gtk-%api_ver/gtk.immodules
touch %buildroot%_sysconfdir/gtk-%api_ver/gdk-pixbuf.loaders

# system wide gtkrc
cat <<__RC__ > %buildroot%_sysconfdir/gtk-%api_ver/gtkrc
# This enables editing of menu accelerators by pressing
# an accelerator over the menu item.
gtk-can-change-accels = 1
__RC__

cat <<__SH__ >%name.sh

export GDK_PIXBUF_MODULEDIR=\`getconf LIBDIR\`/gtk-%api_ver/%binary_ver/loaders
export GTK_PATH=\`getconf LIBDIR\`/gtk-%api_ver/%binary_ver
__SH__

cat <<__CSH__ >%name.csh

setenv GDK_PIXBUF_MODULEDIR \`getconf LIBDIR\`/gtk-%api_ver/%binary_ver/loaders
setenv GTK_PATH \`getconf LIBDIR\`/gtk-%api_ver/%binary_ver

__CSH__

install -pD -m755 %name.sh %buildroot%_sysconfdir/profile.d/%name.sh
install -pD -m755 %name.csh %buildroot%_sysconfdir/profile.d/%name.csh

# The license
ln -sf %_licensedir/LGPL-2 COPYING

%find_lang --output=gtk20.lang gtk20 gtk20-properties
%find_lang --output=gail.lang gail

bzip2 -9f ChangeLog NEWS

# examples
mkdir -p %buildroot/%_docdir/%name-devel-%version
cp -R  examples/ %buildroot/%_docdir/%name-devel-%version/

# rpm posttrans filetrigger
install -pD -m 755 %SOURCE4 %buildroot%_rpmlibdir/gtk-icon-cache.filetrigger

%post
%_bindir/gtk-query-immodules-%api_ver > %_sysconfdir/gtk-%api_ver/gtk.immodules
%_bindir/gdk-pixbuf-query-loaders > %_sysconfdir/gtk-%api_ver/gdk-pixbuf.loaders

%triggerpostun -- %package_name <= %api_ver.6-alt0.7
[ $2 != 0 ] || exit 0
%_bindir/gtk-query-immodules-%api_ver > %_sysconfdir/gtk-%api_ver/gtk.immodules

# -common subpackage is only generated when compiling with X. This is
# a hack that fixes problems with binaries from -common that depend on
# libraries from backend packages.
%if_with x
%files -n %bname-common -f gtk20.lang
%_bindir/gtk-query-immodules-%api_ver
%_bindir/gtk-update-icon-cache
%_bindir/gdk-pixbuf-query-loaders
%_libdir/libgdk_pixbuf-%api_ver.so.*
#%_libdir/libgtk*.so.*
%dir %_libdir/gtk-%api_ver
%dir %_libdir/gtk-%api_ver/%binary_ver
%dir %_libdir/gtk-%api_ver/modules
%dir %fulllibpath/engines
%fulllibpath/engines/libpixmap.so
%dir %fulllibpath/immodules
%fulllibpath/immodules/im-am-et.so
%fulllibpath/immodules/im-cedilla.so
%fulllibpath/immodules/im-cyrillic-translit.so
%fulllibpath/immodules/im-inuktitut.so
%fulllibpath/immodules/im-ipa.so
%fulllibpath/immodules/im-thai.so
%fulllibpath/immodules/im-ti-er.so
%fulllibpath/immodules/im-ti-et.so
%fulllibpath/immodules/im-viqr.so
%fulllibpath/immodules/im-multipress.so
%dir %fulllibpath/loaders
%fulllibpath/loaders/libpixbufloader-*.so
%dir %fulllibpath/printbackends
%fulllibpath/printbackends/libprintbackend-*.so
%dir %_datadir/themes
%dir %_datadir/themes/*
%dir %_datadir/themes/*/gtk-%{api_ver}*
%_datadir/themes/*/gtk-%{api_ver}*/gtkrc
%dir %_sysconfdir/gtk-%api_ver
%config(noreplace) %_sysconfdir/gtk-%api_ver/gtkrc
%config(noreplace) %_sysconfdir/gtk-%api_ver/im-multipress.conf
%config(noreplace) %_sysconfdir/profile.d/*
%ghost %_sysconfdir/gtk-%api_ver/gtk.immodules
%ghost %_sysconfdir/gtk-%api_ver/gdk-pixbuf.loaders
%_man1dir/gdk-pixbuf-query-loaders.*
%_man1dir/gtk-query-immodules*
%_man1dir/gtk-update-icon-cache.*
# filetrigger
%_rpmlibdir/gtk-icon-cache.filetrigger
%doc --no-dereference COPYING
%doc AUTHORS NEWS.bz2 README ChangeLog.bz2 ChangeLog.gtk*
%endif

%files
%if_with x
%fulllibpath/immodules/im-xim.so
%_libdir/libgdk-x11-%api_ver.so.*
%_libdir/libgdk_pixbuf_xlib-%api_ver.so.*
%_libdir/libgtk-x11-%api_ver.so.*
%else
%_libdir/libgdk-directfb-%api_ver.so.*
%_libdir/libgtk-directfb-%api_ver.so.*
%endif

%if_with x
%files -n %bname-common-devel
%_bindir/gtk-builder-convert
%_bindir/gdk-pixbuf-csource
%dir %_includedir/gtk-%api_ver
%dir %_includedir/gtk-%api_ver/gdk
%_includedir/gtk-%api_ver/gdk/*.h
%exclude %_includedir/gtk-%api_ver/gdk/gdkx.h
%dir %_includedir/gtk-%api_ver/gdk-pixbuf
%_includedir/gtk-%api_ver/gdk-pixbuf/*.h
%dir %_includedir/gtk-%api_ver/gtk
%_includedir/gtk-%api_ver/gtk/*.h
%dir %_includedir/gtk-unix-print-%api_ver
%dir %_includedir/gtk-unix-print-%api_ver/gtk
%_includedir/gtk-unix-print-%api_ver/gtk/*.h
%dir %_libdir/gtk-%api_ver/include
%_libdir/libgdk_pixbuf-%api_ver.so
%dir %_datadir/gtk-%api_ver
%_datadir/aclocal/gtk-%api_ver.m4
%_man1dir/gtk-builder-convert.*
%_man1dir/gdk-pixbuf-csource.1.*
%exclude %_datadir/gtk-%api_ver/demo
%endif

%files devel
# Common (by filenames) part. %bname-x11-devel and %bname-directfb-devel
# are conflicting due to these files.
%_pkgconfigdir/gdk-%api_ver.pc
%_pkgconfigdir/gdk-pixbuf-%api_ver.pc
%_pkgconfigdir/gtk+-%api_ver.pc
%_pkgconfigdir/gtk+-unix-print-%api_ver.pc
%_libdir/gtk-%api_ver/include/gdkconfig.h
# Backend-specific parts
%if_with x
%dir %_includedir/gtk-%api_ver/gdk-pixbuf-xlib
%_includedir/gtk-%api_ver/gdk-pixbuf-xlib/*.h
%_includedir/gtk-%api_ver/gdk/gdkx.h
%_libdir/libgdk-x11-%api_ver.so
%_libdir/libgdk_pixbuf_xlib-%api_ver.so
%_libdir/libgtk-x11-%api_ver.so
%_pkgconfigdir/gdk-x11-%api_ver.pc
%_pkgconfigdir/gdk-pixbuf-xlib-%api_ver.pc
%_pkgconfigdir/gtk+-x11-%api_ver.pc
%else
%_includedir/gtk-%api_ver/gdk/gdkdirectfb.h
%_includedir/gtk-%api_ver/gdk/gdkprivate-directfb.h
%_libdir/libgdk-directfb-%api_ver.so
%_libdir/libgtk-directfb-%api_ver.so
%_pkgconfigdir/gdk-directfb-%api_ver.pc
%_pkgconfigdir/gtk+-directfb-%api_ver.pc
%endif

%if_with x
%files -n gtk-demo
%_bindir/gtk-demo
%dir %_datadir/gtk-%api_ver/demo
%_datadir/gtk-%api_ver/demo/*


%files -n %bname-devel-doc
%_datadir/gtk-doc/html/*
%exclude %_datadir/gtk-doc/html/gail-libgail-util


%files devel-doc-examples
%doc %_docdir/%name-devel-%version/examples

%if_enabled static
%files -n %bname-devel-static
%_libdir/*.a
%fulllibpath/*/*.a

%files -n libgail-devel-static
%_libdir/libgailutil.a
%_libdir/gtk-%api_ver/modules/libferret.a
%_libdir/gtk-%api_ver/modules/libgail.a

%endif
%endif

%files -n libgail -f gail.lang
%_libdir/libgailutil.so.*
%_libdir/gtk-%api_ver/modules/libferret.so
%_libdir/gtk-%api_ver/modules/libgail.so
%exclude %_libdir/gtk-%api_ver/modules/*.la

%files -n libgail-devel
%_includedir/gail-1.0
%_libdir/libgailutil.so
%_pkgconfigdir/gail.pc

%files -n libgail-devel-doc
%_datadir/gtk-doc/html/gail-libgail-util

%exclude %fulllibpath/*/*.la

%changelog
* Sun Apr 12 2009 Yuri N. Sedunov <aris@altlinux.org> 2.16.1-alt1
- 2.16.1

* Sat Mar 14 2009 Yuri N. Sedunov <aris@altlinux.org> 2.16.0-alt1
- 2.16.0
- updated version script for GTK_2.16.0

* Tue Mar 03 2009 Yuri N. Sedunov <aris@altlinux.org> 2.15.5-alt1
- 2.15.5
- updated version script for GTK_2.15.5

* Wed Feb 18 2009 Yuri N. Sedunov <aris@altlinux.org> 2.15.4-alt1
- 2.15.4

* Wed Jan 28 2009 Yuri N. Sedunov <aris@altlinux.org> 2.15.2-alt1
- 2.15.2
- updated version script for GTK_2.15.2

* Sat Jan 24 2009 Yuri N. Sedunov <aris@altlinux.org> 2.15.1-alt1
- 2.15.1
- updated version script for GTK_2.15.1

* Wed Jan 21 2009 Yuri N. Sedunov <aris@altlinux.org> 2.15.0-alt1
- 2.15.0
- updated version scripts

* Sat Jan 10 2009 Yuri N. Sedunov <aris@altlinux.org> 2.14.7-alt1
- 2.14.7

* Tue Dec 16 2008 Yuri N. Sedunov <aris@altlinux.org> 2.14.6-alt1
- 2.14.6

* Mon Nov 24 2008 Yuri N. Sedunov <aris@altlinux.org> 2.14.5-alt1
- 2.14.5
- drop upstreamed patches

* Sat Nov 15 2008 Yuri N. Sedunov <aris@altlinux.org> 2.14.4-alt4
- use %%_rpmlibdir instead %%_libdir/rpm
- overwrite an existing icon cache, even if up to date

* Fri Nov 14 2008 Yuri N. Sedunov <aris@altlinux.org> 2.14.4-alt3
- -common subpackage requires icon-theme-hicolor
- added gtk-update-icon-cache posttrans filetrigger
- don't call ldconfig in %%post{,un}

* Sun Nov 09 2008 Yuri N. Sedunov <aris@altlinux.org> 2.14.4-alt2
- some fixes from upstream

* Fri Oct 17 2008 Yuri N. Sedunov <aris@altlinux.org> 2.14.4-alt1
- 2.14.4

* Sat Sep 27 2008 Yuri N. Sedunov <aris@altlinux.org> 2.14.3-alt2
- libgail-devel-doc subpackage
- don't rebuild documentation
- clean unused parts of .spec

* Sat Sep 27 2008 Alexey Shabalin <shaba@altlinux.ru> 2.14.3-alt1
- 2.14.3
- add libgail package
- drop patch5(ALT#6243,GNOME#56070 - fixed in upstream)
- updated version scripts for shared libraries
- build %bname-devel-doc as noarch
- build %bname-devel-doc-examples as noarch

* Tue Jul 08 2008 Yuri N. Sedunov <aris@altlinux.org> 2.12.11-alt2
- don't requires gnome-icone-theme (altbug #16244)

* Wed Jul 02 2008 Yuri N. Sedunov <aris@altlinux.org> 2.12.11-alt1
- 2.12.11 

* Tue Jul 01 2008 Yuri N. Sedunov <aris@altlinux.org> 2.12.10-alt3
- fix window positions -- patch9.

* Sat Jun 28 2008 Yuri N. Sedunov <aris@altlinux.org> 2.12.10-alt2
- examples packaged as is 
- use gnome as a default gtk-icon-theme, gnome-icon-theme required
- export GTK_PATH and GDK_PIXBUF_MODULEDIR

* Sun Jun 08 2008 Yuri N. Sedunov <aris@altlinux.org> 2.12.10-alt1
- new version
- new devel-doc-examples subpackage
- fixed files packaged twice
- updated {Build,}Requires
- %%__autoreconf is obsolete, used %%autoreconf instead
- add Packager tag

* Mon Mar 10 2008 Alexey Rusakov <ktirf@altlinux.org> 2.12.8-alt2
- Moved gtk-builder-convert to -common-devel, addressing ALT Bug 13377.

* Tue Mar 04 2008 Alexey Rusakov <ktirf@altlinux.org> 2.12.8-alt1
- New version (2.12.8).
- Updated buildreqs.

* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 2.12.3-alt1.1
- Rebuilt with python-2.5.

* Wed Dec 05 2007 Alexey Rusakov <ktirf@altlinux.org> 2.12.3-alt1
- New version (2.12.3).

* Thu Oct 18 2007 Alexey Rusakov <ktirf@altlinux.org> 2.12.1-alt1
- new version 2.12.1
- use rpm-build-gnome package

* Tue Oct 16 2007 Alexey Rusakov <ktirf@altlinux.org> 2.12.0-alt2
- fixed Adobe Flash failures in non-GTK browsers (ALT Bug #13124).
- use rpm-build-licenses.
- removed obsolete patches and sources from the source package.
devel-
* Thu Sep 20 2007 Igor Zubkov <icesik@altlinux.org> 2.12.0-alt1
- 2.10.14 -> 2.12.0
- update version scripts

* Wed Aug 08 2007 Alexey Rusakov <ktirf@altlinux.org> 2.10.14-alt1
- new version (2.10.14)
- removed patches that fix Makefiles, they are no more needed.
- updated cursor sensitivity patch to match the sources.
- updated files list (im-thai-broken.so dropped, im-thai.so is new)
- checked version scripts (found no changes after 2.10.6)
- eliminated %%__ macros

* Fri Jan 05 2007 Alexey Rusakov <ktirf@altlinux.org> 2.10.6-alt6
- fixed double-packaging of gtk-demo sources.

* Wed Oct 11 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.10.6-alt5
- fixed libgtk+2-common-devel depending on a backend.
- made libgtk+2-common, gtk-demo, and libgtk+2-devel-doc packages compile
  only for X11 backend, as a temporary workaround to problems with binaries
  that depend on backend-specific libraries.

* Sun Oct 08 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.10.6-alt4
- added patches and missing source files to make Gtk+ compile with
  DirectFB backend.

* Fri Oct 06 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.10.6-alt3
- Fixed bad installation dependencies, now -common subpackage is PreReq'ed.

* Thu Oct 05 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.10.6-alt2
- fixed post/postun/triggerpostun scripts that appeared in a wrong package.

* Wed Oct 04 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.10.6-alt1
- new version (2.10.6)

* Mon Oct 02 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.10.4-alt1
- new version (2.10.4)
- the specfile is rewritten; now it is possible to build GTK+ either with
  X11 or with DirectFB backend. The generated packages are made as
  non-conflicting as possible, to allow installation of GTK-X11 and
  GTK-DirectFB side-by-side. -devel subpackages, however, conflict each
  other.

* Wed Sep 06 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.10.3-alt1
- new version
- removed ChangeLog.pre* files from packaging.

* Fri Aug 18 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.10.2-alt1
- new version 2.10.2 (with rpmrb script)

* Tue Jul 25 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.10.1-alt1
- new version (2.10.1)
- updated version scripts
- made the list of files more accurate

* Mon Jul 10 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.10.0-alt1
- new version
- removed Lai's patches as outdated.

* Mon May 29 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.8.18-alt1
- new version

* Sat Apr 08 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.8.17-alt1
- new version (2.8.17)

* Sat Mar 18 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.8.16-alt1
- new version 2.8.16 (with rpmrb script)

* Tue Mar 14 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.8.15-alt1
- new version (2.8.15)

* Thu Mar 09 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.8.14-alt1
- new version (2.8.14)

* Sun Feb 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.8.12-alt1
- new version

* Sun Jan 29 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.8.11-alt1
- new version

* Mon Jan 16 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.8.10-alt1
- new version
- updated dependencies.

* Mon Nov 28 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.8.8-alt1
- new version

* Wed Nov 16 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.8.7-alt2
- new version

* Sat Oct 08 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.8.6-alt2
- Restored symbol maps that were introduced in 2.8.3-alt2 and lost
  afterwards.

* Tue Oct 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.8.6-alt1
- new version

* Tue Oct 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.8.5-alt1
- new version

* Sat Sep 10 2005 Alexey Tourbin <at@altlinux.ru> 2.8.3-alt2
- NMU: introduced GDK_PRIVATE ABI interface for gdk_*_libgtk_only
  functions in libgdk-x11-2.0.so.0; GDK_2.8 ABI interface for new
  functions in libgdk-x11-2.0.so.0 and libgdk_pixbuf-2.0.so.0;
  GTK_2.8 ABI interface for new functions in libgtk-x11-2.0.so.0

* Tue Aug 30 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.8.3-alt1
- 2.8.3

* Wed Apr 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.6.7-alt1
- 2.6.7

* Mon Apr 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.6.6-alt1
- 2.6.6
- updated Lai-gtkfilesel patch.
- do not run gtk-update-icon-cache in /usr/share/icons too.

* Wed Mar 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.6.4-alt1
- 2.6.4

* Mon Feb 28 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.6.3-alt1
- 2.6.3

* Sat Feb 05 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Tue Feb 01 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt2
- run gtk-update-icon-cache daily.

* Sun Jan 09 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Fri Dec 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Fri Dec 03 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.6-alt1
- 2.5.6
- documentation moved to devel-doc subpackage.

* Sat Nov 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.5-alt1
- 2.5.5

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Mon Sep 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.3-alt1
- 2.5.3

* Fri Sep 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.2-alt1.1
- Fixed few potential overflows (CAN-2004-0782, CAN-2004-0783),
  patch from Matthias Clasen (RH).

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.2-alt1
- 2.5.2

* Thu Aug 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.9-alt1
- 2.4.9

* Sun Jul 11 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.4-alt1
- 2.4.4

* Mon Jun 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.3-alt1.1
- fix #5547.

* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.3-alt1
- 2.4.3

* Sat Jun 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.2-alt1
- 2.4.2
- Lai-gtkfilesel patch adopted, as usual, by Alexey Morozov.

* Fri Apr 30 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Tue Apr 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1.1
- Applied Lai's GTK+ File Selector patch for 2.2.4 to 2.4.0 (Alexey Morozov)

* Wed Mar 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Tue Mar 09 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- 2.3.6
- prereqs XFree86-libs (close #3795).

* Wed Mar 03 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.3.5-alt1
- 2.3.5

* Wed Feb 25 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Fri Jan 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Wed Dec 31 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.4-alt4
- do not package .la files.
- remove fileselector patch. Some software on some systems crashes with it.

* Fri Nov 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.4-alt3
- Enhanced file selector patch
  (http://members1.chello.nl/~h.lai/gtkenhancements/).
- /etc/profile.d/gtk+.{sh,csh} setup some environment variables
   to tune fileselector.

* Mon Oct 20 2003 Rider <rider@altlinux.ru> 2.2.4-alt2
- removed val-ttf bad requires

* Thu Sep 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.4-alt1
- 2.2.4

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.3-alt1
- 2.2.3

* Tue Jun 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.2-alt1
- 2.2.2
- Updated descriptions and summaries (mhz).

* Mon Feb 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Sat Dec 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Thu Dec 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt0.5
- 2.1.4

* Wed Dec 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt0.5
- 2.1.3

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt0.5
- 2.1.2

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt0.6
- 2.1.1
- build section fixed (SMP-incompatible build).
- Run gdk-pixbuf-query-loaders in %%post
- Editing of menu accelerators enabled by default.
- %_libdir/gtk-2.0/%%binary_ver/engines directory owned by libgtk+2.

* Wed Oct 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt0.5
- 2.1.0 with Xft2 support.
- some RH patches removed (in mainstream now)

* Tue Oct 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.6-alt0.8
- lib{pango,atk}-devel added to %name-devel requires list (#1233).
- Some RH patches.

* Sun Sep 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.6-alt0.7
- 2.06
- fixed-ltmain.sh removed, not needed more.
- changed --with-xinput=yes to --with-xinput=xfree.
- post/postun scripts improved.
- cleanups.

* Sun Jun 16 2002 Igor Androsov <blake@altlinux.ru> 2.0.5-alt1
- New version
- Added ru summary
- man moved to devel package
- Added gxid daemon to package

* Tue Jun 04 2002 Igor Androsov <blake@altlinux.ru> 2.0.3-alt2.1
- Moved *.la from static to devel package
- Fix changelog of <Wed May 29 2002>
- Removed libgtk+2-devel-static, in current time GTK+ disabled static build
- Fix BuildRequires list

* Wed May 29 2002 Igor Androsov <blake@altlinux.ru> 2.0.3-alt2
- Added from AEN package "fixed-ltmain.sh" - fix not building package if host wheare building not hace libgtk+2-devel.

* Wed May 29 2002 Igor Androsov <blake@altlinux.ru> 2.0.3-alt1
- New Release

* Wed May 22 2002 Igor Androsov <blake@altlinux.ru> 2.0.2-alt1
- New version
- Change SPEC, based on AEN spec
- No test program in rpm
- Buildrequires by buldreq

